/* set up a lihata parser wrapper for validation. The context returned should
   not be modified by the caller. After this call, the event parser should
   be used on the pointer; when user event is called back, the ctx pointer
   there will have the user data set here. */
lht_parse_t *lht_validator_init(void *user_data, void (*event)(lht_parse_t *ctx, lht_event_t ev, lht_node_type_t nt, const char *name, const char *value));

/* free the validation context */
void lht_validator_uninit(lht_parse_t *ctx);


